# Additional editing of Makefiles
/(echo[ 	]*':t/ a\
# DJGPP specific Makefile changes.\
  /^aliaspath *	*=/s,:,";",g;t t\
  /TEXINPUTS=/s,:,";",g;t t\
  /PATH=/s,:,";",g;t t\
  s,\\.deps,_deps,g;t t\
  s,\\.libs,_libs,g;t t\
  s,\\.new\\.,_new.,g;t t\
  s,\\.old\\.,_old.,g;t t\
  s,\\.tab\\.,_tab.,g;t t\
  s,autoconf\\.h\\.in,autoconf.h-in,g;t t\
  s,Makefile\\.in\\.in,Makefile.in-in,g;t t\
  s,Makefile\\.am\\.in,Makefile.am-in,g;t t\
  /^install-info-am:/,/^$/ {\
    /@list=/ s,\\\$(INFO_DEPS),& gdbm.i,\
    /@for *file/ s,\\\$(INFO_DEPS),& gdbm.i,\
    s,file-\\[0-9\\]\\[0-9\\],& \\$\\$file[0-9] \\$\\$file[0-9][0-9],\
  }

# Makefile.in.in is renamed to Makefile.in-in...
/^ac_config_files=/,/_ACEOF/ {
  s|po/Makefile\.in|&:po/Makefile.in-in|
}
/CONFIG_FILES=/ s|po/Makefile\.in|&:po/Makefile.in-in|2

# ...and autoconf.h.in into autoconf.h-in
/ac_config_headers=/ s|autoconf\.h|autoconf.h:autoconf.h-in|
/CONFIG_HEADERS=/ s|autoconf\.h|autoconf.h:autoconf.h-in|2

# We always use _libs instead of .libs.
# This make the generated Makefiles good
# for every DJGPP installation, not only
# the one where the package was configured.
s,\.libs,_libs,g

# Replace (command) > /dev/null with `command > /dev/null`, since
# parenthesized commands always return zero status in the ported Bash,
# even if the named command doesn't exist
# /if ([^|;]*null/{
#   s,(,`,
#   s,),`,
# }

# Prevent the spliting of subs.sed.
# The sed script: subs.sed is split into 48 lines long files.
# This will produce sed scripts called subs-$ac_sed_frag.sed, where
# $ac_sed_frag is some unique number. This will not work if the splited
# sed script contains a multiple line sed command at line #48. In this
# case the first part of the multiple line sed command will be written
# at the end of one particular subs-$ac_sed_frag.sed and the rest of the
# sed command will be written at the begining of the next subs-$ac_sed_frag.sed
# making both sed script useless.
# This matches the configure script produced by Autoconf 2.54
/ac_max_sed_lines=/ s,=.*$,=`sed -n "$=" $tmp/subs.sed`,

# The following two items are changes needed for configuring
# and compiling across partitions.
# 1) The given srcdir value is always translated from the
#    "x:" syntax into "/dev/x" syntax while we run configure.
/^[ 	]*-srcdir=\*.*$/ a\
    ac_optarg=`echo "$ac_optarg" | sed "s,^\\([A-Za-z]\\):,/dev/\\1,"`
